GET user group
This call gets all the user-groups data.
Location
Permissions required
admin-access-control-user-groups RO.
Body parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| builder[0][where][0] | string | no | |
| builder[0][where][1] | string | no |
Example Body (json)
None.
Example Request
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => $baseUrl . '/api/v1/portal-management/user-groups/' . '?builder[0][where][0]=user_group_uuid&builder[0][where][1]=0e1c6269-0da5-11f0-9300-7e99ed98b725',
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . $token,
'Content-Type: application/json'
]
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
Example Response
[
{
"user_group_uuid":"0e1c6269-0da5-11f0-9300-7e99ed98b725",
"user_group_name":"superuser",
"user_group_slugify":"superuser",
"user_group_type":"admin",
"user_group_weight":1,
"user_group_create_timestamp":1742680669,
"user_group_modified_timestamp":1749939827
}
]
Known errors or issues.
None are known at the time If you do encounter issues and get an http code in return, check the response codes on this page.